PHP 5.6 ???

Дискусията в 'Webmaster Help - Секцията на Експертите' стартирана от tipto, Ноем 11, 2018.

  1. tipto

    tipto Active Member

    Рег.:
    Авг 30, 2013
    Съобщения:
    429
    Харесвания:
    36
    Точки:
    28
    Здравейте,
    Както винаги съм писал много съм бос в тия неща и отдавна не се занимавам със сайтове и подобни неща.

    Но имам един фирмен сайт, който е къстъм правен преди около + - 3 години и ми върши чудесна работа и не мисля да го пипам.

    Чета разни неща как излизат нови PHP версии а старите спират да се поддържат.

    Не мога да разбера например моя не поддържа PHP 7 и нагоре и кво ме чака.

    Например сайта ми след време, ще спре да функционира ли ?

    Прочетох колко по бързи са новите версии на PHP, даже @ReminD е писал 250% разлика между 5.6 и 7 в скоростта, но това мен особено не ме касае, мен повече ме интересува какво ще стане със сайтовете които поддържат PHP до версия 5.6 като моя?
     
  2. ReminD

    ReminD Well-Known Member

    Рег.:
    Ян 22, 2008
    Съобщения:
    6,236
    Харесвания:
    1,156
    Точки:
    113
    Ако си стоиш на 5.6 нищо няма да стане със сайта. Но преди 3 години не е много, пробвай другаде да качиш сайта на php 7, и провери дали ще рънва, пък и смяната ако е от cpanel отнема 10 секунди, може да си позволиш да видиш какви ще са notices/ warnings
     
  3. V.Andreev

    V.Andreev Well-Known Member

    Рег.:
    Ноем 8, 2008
    Съобщения:
    2,343
    Харесвания:
    166
    Точки:
    63
    Имам сайт на 5.4 и си работи добре, спокойно :)
     
  4. tipto

    tipto Active Member

    Рег.:
    Авг 30, 2013
    Съобщения:
    429
    Харесвания:
    36
    Точки:
    28
    Както казах съм бос, явно за това и не задавам въпросите правилно.
    Например след 3-5 години като излязат още една камара версии нa PHP дали хостинг фирмите, че продължат да предоставят версия 5.6 защото вече ще е много остаряла и такива неща?
     
  5. V.Andreev

    V.Andreev Well-Known Member

    Рег.:
    Ноем 8, 2008
    Съобщения:
    2,343
    Харесвания:
    166
    Точки:
    63
    3-5 години са много време в ИТ сектора...ще го мислиш тогава.. ще е излязла нова технология и ще си актуален :)
     
  6. ReminD

    ReminD Well-Known Member

    Рег.:
    Ян 22, 2008
    Съобщения:
    6,236
    Харесвания:
    1,156
    Точки:
    113
    Имаш ли спанел или е VPS? Смени версията, отнема 10 секунди, връщането също е на един бутон разстояние.
     
  7. KISS

    KISS Active Member

    Рег.:
    Ноем 8, 2009
    Съобщения:
    830
    Харесвания:
    109
    Точки:
    43
    Е това е сайт, не може да очакваш завинаги да работи без никакво обновяване да е нужно. Ако случайно в бъдеще след години се премахнат стари версии на PHP от хостингите, ще минеш на по-нова и ако има проблеми ще дадеш на някой да пренапише някои части от кода за да работи с новата версия. Не е нещо кой знае какво.

    Лошото на това да ползваш PHP версия, която не се поддържа вече, е че ако е открита дупка в сигурността, тя няма да бъде оправена и ще бъде сайта по-уязвим към хакерски атаки.
     
  8. tipto

    tipto Active Member

    Рег.:
    Авг 30, 2013
    Съобщения:
    429
    Харесвания:
    36
    Точки:
    28
    @V.Andreev прав си в ИТ сектора 5 години са много време дето се вика PHP може да бъде заместено от по нови технологии.

    @KISS и ти си прав, но все пак аз като собственик на сайт за който съм си платил не малко пари да ми го направят бих искал да си го ползвам колкото се може повече време(няма да кажа вечно но ме разбра) и най важното при условие, че ми върши перфектна работа и не се нуждая от нови неща като функционалност, също се вижда добре през всички устройства и отговаря на стандартите, SSL и т.н.
    Сега заради едно php да ми го правят пак.

    @ReminD ще добавя снимка дали точно от тук се сменя версията където съм обградил. Точно от там и пише Current PHP version: 5.6 има изброени от падащо меню от 5.2 до 7.2 да избера 7.2?
     

    Прикачени файлове:

    • php5.jpg
      php5.jpg
      File size:
      72.5 KB
      Преглеждания:
      10
  9. хейтър

    хейтър Active Member

    Рег.:
    Авг 23, 2014
    Съобщения:
    219
    Харесвания:
    74
    Точки:
    28
    8.9 izberi....
     
  10. tipto

    tipto Active Member

    Рег.:
    Авг 30, 2013
    Съобщения:
    429
    Харесвания:
    36
    Точки:
    28
    Макар го казваш на шега може да се окажеш след време доста прав, че както е тръгнало с тия версии на PHP може наистина скоро някой да пита за 8.9 ;)

    Иначе исках да кажа дали 7 или 7.2 да избера, че някъде бях чел за 7.2 като теб си е правило шегички, но за сега се отказах да не прецакам нещо в хоста и сайта да габася.

    Иначе изтеглих XAMPP с php 7.2 но нещо от първия път не станаха нещата и сайта не захапа както трябва ще го мъча вече като ми остане време.

    Надявам се още доста време да се поддържа php 5.6 по хостингите.
     
  11. ReminD

    ReminD Well-Known Member

    Рег.:
    Ян 22, 2008
    Съобщения:
    6,236
    Харесвания:
    1,156
    Точки:
    113
    Добре де, отиваш в с панела, избираш дали 7, дали 7 и 2, натискаш бутона, след това отиваш и гледай по сайта какво е положеинето, ако нещо има, или спираш грешките, или отиваш пак на страницата с версиите, натискаш бутона и връщаш 5.6? Цялата тая работа отнема точно 30 секунди - да се пусне, че и да се върне пак ако нещо писка.
     
  12. KISS

    KISS Active Member

    Рег.:
    Ноем 8, 2009
    Съобщения:
    830
    Харесвания:
    109
    Точки:
    43
    Избери 7.2, понеже 7 и то ще спира да се поддържа тази година: http://php.net/supported-versions.php
    Но то и тази версия не е вечна.
     
  13. tipto

    tipto Active Member

    Рег.:
    Авг 30, 2013
    Съобщения:
    429
    Харесвания:
    36
    Точки:
    28
    @ReminD както винаги си прав, но под версия 5.6 има сумата неща които са отметнати и ако мина на 7.2 и габяса сайта и се върна пак към 5.6 дали всички настройки ще са запазени или на ново ще е нужно да се отметнат
     
  14. ReminD

    ReminD Well-Known Member

    Рег.:
    Ян 22, 2008
    Съобщения:
    6,236
    Харесвания:
    1,156
    Точки:
    113
    Ще са запазени това са ти libs дето са, давай смело, ако пък те е страх, print screen на либс и отметките и после ще си ги цъкнеш, въпреки че си стоят отметнати като сменяш и връщаш версии
     
  15. И.ИваHоВ

    И.ИваHоВ Active Member

    Рег.:
    Ян 5, 2018
    Съобщения:
    119
    Харесвания:
    48
    Точки:
    28
    Пол:
    Мъж
    Сайта да работи с последената налична технология е част от процеса на поддръжка. Искаш не искаш на няколко години ще ти се налага да правиш обновления. Просто пиши кода така, че тези обновления да стават по-лесно. Т.е. дръж се в течение с това какво ще се променя.

    Друг вариант е да пуснеш сайта на VPS или Докер контейнер и да не го закачаш повече. За мой клиент поддържам платформа хоствана на VPS-и с Ubuntu 6 (OS от 2006г.). Така, че не е болка за умиране да не си в крак с новото. Но проучи какви са рисковете и какво е нужно да направиш за да защитиш сайта ако тръгнеш по този път. Може да се окаже, че ресурсите нужни за да останеш на по-старата версия ще са повече от колкото ако се отделят за да се обнови. Всъщност почти винаги старата версия излиза по-скъпо.
     
  16. s1yf0x

    s1yf0x Well-Known Member

    Рег.:
    Юни 12, 2012
    Съобщения:
    2,334
    Харесвания:
    814
    Точки:
    113
    Пол:
    Мъж
    Професия:
    System administration
    Място:
    Sliven/Sofia
    Знаете ли защо ретро автомобилите са толкова скъпи в момента - защото частите за тях струват стотици пъти повече от частите за модерните автомобили. На скоро ми поискаха сървър с php 4 щото не им се давали пари за пренаписване на сайта. След като им обясних колко пари ще струва поддръжката на сървър с толквоа стар софтуер веднага намериха пари за пренаписване на сайта, че даже и редизайн му направиха.
     
    mobilio и KISS харесват това.
  17. momcheto

    momcheto Well-Known Member

    Рег.:
    Апр 28, 2009
    Съобщения:
    1,176
    Харесвания:
    54
    Точки:
    48
    Място:
    Sofia
    Ако хостингът ти поддържа 5.6, сайтът ти ще работи и 100 години. Хостингите поддържат доста стари версии, а php 5.6 е сравнително нова, преди 7, така че опасенията ти не са основателни.
     

Сподели страницата

  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies.
    Dismiss Notice